Bug 32850 - Crash on entering the word "6csillagocska6" into a cell
Summary: Crash on entering the word "6csillagocska6" into a cell
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-05 08:12 UTC by Andras Timar
Modified: 2011-01-28 07:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
1-line patch to fix the problem (597 bytes, patch)
2011-01-06 14:10 UTC, László Németh
Details
Hunspell update patch for hunspell/ module including the previous fix (78.69 KB, application/x-gzip)
2011-01-28 07:44 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2011-01-05 08:12:48 UTC
1. Open Calc.
2. Enter the string "6csillagocska6" into any cell.
3. Calc crashes.

(Tried on Windows XP.)
Comment 1 Alex Thurgood 2011-01-05 09:47:00 UTC
Hi Timar,

I can not reproduce this on Mac OSX 10.6.5, LibO 3.3 rc2.

Alex
Comment 2 Alex Thurgood 2011-01-05 09:47:50 UTC
Setting to Windows platform for moment. If other reporters confirm on other platforms, can be changed back.

Alex
Comment 3 Rainer Bielefeld Retired 2011-01-05 22:36:00 UTC
No problem with "LibreOffice 3.3.0 RC2 - WIN7  Home Primium (64bit) German UI  [OOO330m18 (build 3.3.0.2)]"

@Andras Timar:
In what moment does that crash happen? Please contribute a step by step instruction
Please contribute ALL information that might be related as PC, Processor, LibO localization, Document language, default formatting, LibO theme, Graphic card, OS theme, ... 
Please attach a sample document (may be one that will crash typing one more letter)!
Comment 4 Andras Timar 2011-01-06 01:54:43 UTC
It crashes at spellmi.dll so in fact it is a bug in spellchecker. To reproduce the crash language of the text should be set to Hungarian and Hungarian dictionary must be installed. I can provide you with Windows debug output, if that helps but first I contact Laszlo Nemeth (author of Hunspell and Hungarian dictionary).
Comment 5 Andras Timar 2011-01-06 04:21:37 UTC
Fixed in Hunspell:

http://hunspell.cvs.sourceforge.net/viewvc/hunspell/hunspell/src/hunspell/affixmgr.cxx?r1=1.30&r2=1.31&sortby=date

Waiting for new Hunspell release...
Comment 6 László Németh 2011-01-06 14:10:35 UTC
Created attachment 41729 [details]
1-line patch to fix the problem

Hunspell 1.2.14 (http://downloads.sourceforge.net/hunspell/hunspell-1.2.14.tar.gz) contains this fix, too.
Comment 7 Andras Timar 2011-01-06 14:56:16 UTC
Caolan: can you cherry-pick the fix for 3.3 providing that you find it OK?
033334a5baf60f621cc28d31b72ab3a1efa6ec24
Comment 8 Caolán McNamara 2011-01-07 01:28:54 UTC
looks good, done.
Comment 9 László Németh 2011-01-07 02:01:59 UTC
Related OOo issue: http://www.openoffice.org/issues/show_bug.cgi?id=116344

Thanks for your help! László
Comment 10 László Németh 2011-01-28 07:44:36 UTC
Created attachment 42654 [details]
Hunspell update patch for hunspell/ module including the previous fix

See also http://qa.openoffice.org/issues/show_bug.cgi?id=116680